Bug 1266703 - Gnome software update says "Software is up to date" when dnf shows 395 updates
Gnome software update says "Software is up to date" when dnf shows 395 updates
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
: 1280270 1298356 1299131 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-26 13:19 EDT by Brion Vibber
Modified: 2017-01-24 09:22 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing Gnome software on right, dnf update output on left (583.87 KB, image/png)
2015-09-26 13:19 EDT, Brion Vibber
no flags Details
Verbose log of gnome-software (717.80 KB, text/plain)
2015-11-23 17:37 EST, Sylvain Petreolle
no flags Details
dnf check showing pending updates (5.13 KB, text/plain)
2015-11-23 17:38 EST, Sylvain Petreolle
no flags Details

  None (edit)
Description Brion Vibber 2015-09-26 13:19:38 EDT
Created attachment 1077531 [details]
Screenshot showing Gnome software on right, dnf update output on left

Description of problem:

Gnome software update says "Software is up to date" no matter how often I hit refresh, but 'dnf update' shows 395 updates to install.


Version-Release number of selected component (if applicable):

Fedora 23 beta release, fresh install


How reproducible:

Always on this install, at least until I manually update via dnf.


Steps to Reproduce:
1. Install Fedora 23 beta
2. Open Gnome software center, pick 'Upload' tab, and hit the refresh button
3. Wait for hours until flaky wifi times out, halting one of Software's package downloads
4. Reboot with proprietary wifi drivers that are more reliable and try again


Actual results:

Gnome software center update tab keeps saying 'Software is up to date', 'Last checked 10:10'


Expected results:

Gnome software center should install some of those 395 updates dnf keeps telling me about.


Additional info:
Comment 1 Richard Hughes 2015-09-28 05:34:41 EDT
Can you get me the log of:

killall gnome-software
gnome-software --verbose

Please wait for the app to start, switch to the updates panel, click refresh and then attach the entire log to this bug. Thanks.
Comment 2 Brion Vibber 2015-10-02 18:09:49 EDT
Unfortunately this installation has since been updated manually... I'm trying to replicate the conditions in a VM but haven't been able to yet. Will retest on a physical machine with the flaky wifi adapter I was using before later this weekend...
Comment 3 Sylvain Petreolle 2015-10-21 17:41:51 EDT
I'm having that problem too.
I'll upload the log for the next updates.
Comment 4 Sylvain Petreolle 2015-11-23 17:35:32 EST
Here is the log you asked for.
I'm also attaching dnf output.
Comment 5 Sylvain Petreolle 2015-11-23 17:37 EST
Created attachment 1097884 [details]
Verbose log of gnome-software
Comment 6 Sylvain Petreolle 2015-11-23 17:38 EST
Created attachment 1097898 [details]
dnf check showing pending updates
Comment 7 Brian J. Murrell 2016-05-18 18:54:51 EDT
Is there any update here, given that the requested log has been attached?
Comment 8 Charles R. Anderson 2016-05-28 10:58:10 EDT
*** Bug 1280270 has been marked as a duplicate of this bug. ***
Comment 9 Charles R. Anderson 2016-05-28 10:59:56 EDT
*** Bug 1298356 has been marked as a duplicate of this bug. ***
Comment 10 Charles R. Anderson 2016-05-28 11:00:20 EDT
*** Bug 1299131 has been marked as a duplicate of this bug. ***
Comment 11 Charles R. Anderson 2016-05-28 11:02:37 EDT
Move this to rawhide as there are many duplicate bugs across F22, F23, F24, rawhide.
Comment 12 Benjamin Xiao 2016-05-31 13:50:16 EDT
I get the same issue. Updates don't show up in Gnome Software until I click the refresh button 1-2 days later. To get around this, I have to do a "pkcon refresh force" and then click the refresh button in Gnome Software **twice** before updates appear. Cache time issue?


Also sidenote, I have a machine I've left running for a while now and Gnome Software said it last checked for updates a week ago and shows no updates. What is the update interval on Gnome Software?
Comment 13 Sylvain Petreolle 2016-07-09 06:19:45 EDT
This problem is still appearing today.
Do you need additional logs ?
Were there any progress ?
Comment 14 Jan Kurik 2016-07-26 00:58:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 15 Duncan Innes 2017-01-24 09:22:18 EST
Is there any update on this?  Shouldn't these update methods use the same package database?  Or at least keep in sync so that when one refreshes, the other will also.

Note You need to log in before you can comment on or make changes to this bug.